Description: fixes the module name in several places
Author: Ardo van Rangelrooij <ardo@debian.org>
Reviewed-by: gregor herrmann <gregoa@debian.org>
Last-Update: 2015-06-13
Forwarded: https://rt.cpan.org/Ticket/Display.html?id=105204
Bug: https://rt.cpan.org/Ticket/Display.html?id=105204

--- a/Changes
+++ b/Changes
@@ -1,4 +1,4 @@
-Revision history for Perl extension XML::CGI.
+Revision history for Perl extension CGI::XML.
 0.01  Sat Oct 17 13:14:46 1998
 	- original version; created by h2xs 1.18
 
--- a/README
+++ b/README
@@ -3,10 +3,10 @@ This package is free software; you can r
 modify it under the same terms as Perl itself.
 
 NAME
-XML::CGI Version 0.1
+CGI::XML Version 0.1
 
 DESCRIPTION
-The XML::CGI module converts CGI.pm variables from/to XML.
+The CGI::XML module converts CGI.pm variables from/to XML.
 Feel free to contact me at eisen@pobox.com if you have 
 problems and/or suggestions.
 
--- a/XML.pm
+++ b/XML.pm
@@ -67,12 +67,12 @@ __END__
 
 =head1 NAME
 
-XML::CGI - Perl extension for converting CGI.pm variables to/from XML
+CGI::XML - Perl extension for converting CGI.pm variables to/from XML
 
 =head1 SYNOPSIS
 
-  use XML::CGI;
-  $q = new XML::CGI;
+  use CGI::XML;
+  $q = new CGI::XML;
 
   # convert CGI.pm variables to XML
   $xml = $q->toXML;
@@ -83,19 +83,19 @@ XML::CGI - Perl extension for converting
 
 =head1 DESCRIPTION
 
-The XML::CGI module converts CGI.pm variables
+The CGI::XML module converts CGI.pm variables
 to XML and vice versa.
 
-B<XML::CGI> is a subclass of B<CGI.pm>, so it reads the CGI 
+B<CGI::XML> is a subclass of B<CGI.pm>, so it reads the CGI
 variables just as CGI.pm would.
 
 =head1 METHODS
 
-=item $q = new XML::CGI
+=item $q = new CGI::XML
 
 =over 4
 
-creates a new instance of XML::CGI. You also have access
+creates a new instance of CGI::XML. You also have access
 to all of the methods in CGI.pm.
 
 =back
@@ -122,7 +122,7 @@ existing values if they exist.
 
 =head1 NOTE
 
-B<XML::CGI> does not currently handle multiple selections
+B<CGI::XML> does not currently handle multiple selections
 passed from HTML forms. This will be added in a future release.
 
 =head1 AUTHOR
--- a/test.pl
+++ b/test.pl
@@ -3,7 +3,7 @@
 
 BEGIN { $| = 1; print "1..1\n"; }
 END {print "not ok 1\n" unless $loaded;}
-use XML::CGI;
+use CGI::XML;
 $loaded = 1;
 print "ok 1\n";
 
